#
# spec file for package ghc-yesod-core
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-core
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.35.1
Release:        lp150.1.8
Summary:        Creation of type-safe, RESTful web applications
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-auto-update-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-byteable-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-clientsession-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cookie-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-deepseq-generics-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-mwc-random-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-path-pieces-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-wai-logger-devel
BuildRequires:  ghc-warp-devel
BuildRequires:  ghc-word8-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-hspec-expectations-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-streaming-commons-devel
%endif

%description
API docs and the README are available at
<http://www.stackage.org/package/yesod-core>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.4.35.1.
* Mon Jun 12 2017 psimons@suse.com
- Update to version 1.4.35 revision 1.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 1.4.33 revision 1 with cabal2obs.
* Sun Apr  9 2017 psimons@suse.com
- Update to version 1.4.33 with cabal2obs.
* Wed Mar 22 2017 psimons@suse.com
- Update to version 1.4.32 revision 1 with cabal2obs.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 1.4.32 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 1.4.31 with cabal2obs.
* Mon Jan 16 2017 psimons@suse.com
- Update to version 1.4.30 revision 1 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 1.4.30 with cabal2obs.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 1.4.28 with cabal2obs.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 1.4.26 with cabal2obs.
* Sat Oct  1 2016 psimons@suse.com
- Update to version 1.4.25 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.4.24 revision 0 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 1.4.23 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.22 revision 0 with cabal2obs.
* Thu Jun 30 2016 mimi.vx@gmail.com
- update to 1.4.22
  * Proper handling of impure exceptions within HandlerError values
* Tue Jun 21 2016 mimi.vx@gmail.com
- update to 1.4.21
  * Add support for Encoding from aeson-0.11
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 1.4.20.2
  * GHC 8 support
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 1.4.20.1
  * Log a warning when a CSRF error occurs
* Thu Mar 31 2016 mimi.vx@gmail.com
- update to 1.4.20
  * addMessage, addMessageI, and getMessages functions
  * Allow lines of dashes in route files
* Mon Feb 22 2016 psimons@suse.com
- initial version yesod-core-1.4.19
